body{
    height: 200vh;
    background-color: black;
    background-repeat: repeat;
    background-size: cover;
    font-family: system-ui;
    cursor: none;
    max-width: 100%;
    overflow-x: hidden;
}
::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.2);
}
::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 25px;
    background: rgba(90, 90, 90,0.25);
}
header{
    display: none;
    opacity: 0;
    position: fixed;
    width: 100%;
    top:0%;
    z-index: 100;
    overflow: hidden;
}
.header{
    padding-block: 1rem;
    padding-inline: 2rem;
    display: flex;
    justify-content: space-between;
    color: white;
    height: 5rem;
    background-color: transparent;
}
.headerHeader{
    display: flex;
    gap: 1.5rem;
    justify-content: center;
}
.header img{
    height: 2.5rem;
}
.header img:hover{
    opacity: 0.65;
    transition: 0.2s;
    cursor: none;
}
#mainAnchor{
    font-size: 25px;
    font-weight: 200;
}
.header a{
    color:rgb(255,255,255);
    text-decoration: none;
}
.mobileBlock{
    overflow: hidden;
    right: 5%;
    position: fixed;
    width: 8rem;
    height: 0rem;
    opacity: 0;
    border: 1px solid rgb(255,255,255,0.75);
    backdrop-filter: blur(10px) brightness(0.5);
    z-index: 10000;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.mobileBlock a{
    display: block !important;
    width: 100%;
    padding-inline: 1rem;
    text-align: left;
    font-size: 18px;
    position: static;
    color: white;
    text-decoration: none;
}
.mobileBlock a:hover{
    background-color: rgb(255,255,255,0.1);
}

.headerOptions{
    display: flex;
    gap: 2rem;
    font-size: 20px;
}
.header a:hover{
    color:rgb(255,255,255,0.65);
    transition: 0.2s;
    cursor: none;
}

/*-----LANDING SECTION CSS-------*/
#landing{
    position: fixed;
    background-color: black;
    width: 100%;
    overflow: hidden;
    top: 0;
    z-index: -1;
}
.infoHolder{
    position: fixed;
    top: 25%;
    left: 10%;
    color: white;
}
.infoHolder h1{
    font-size: 50px;
    font-weight: 200;
}
.infoHolder h3{
    font-size: 25px;
    font-weight: 200;
}
.loadHolder{
    position: fixed;
    top:75%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
    height: 5rem;
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.25rem;
}
.loadBar{
    width: 90%;
    background-color: rgb(255,255,255,0.25);
    height: 0.1rem;
}
.loadBarInner{
    width: 0%;
    height: 100%;
    background-color: rgb(255, 255, 255);
}
.progressInfo{
    width: 90%;
    display: flex;
    justify-self: start;
    justify-content: space-between;
    height: fit-content;
}
.progressInfo div{
    display: flex;
    gap: 0.1rem;

}
.progressInfo p{
    font-size: 0.9rem;
    font-weight: 200;
    margin-right: 0.25rem;
    width: fit-content;
}
.progressInfo span{
    display: flex;
    justify-content: flex-end;
    font-size: 0.9rem;
    font-weight: 200;
}
.blackHoleContainer{
    z-index: 2;
    height: 100vh;
    background-color: transparent;
}

#chevron{
    position: absolute;
    display: none;
    opacity: 0;
    top:0%;
    left: 50%;
    z-index: 5;
    height: 3rem;
    width: 3rem;
}
#chevron a{
    color: white;
    font-size: 25px;
}
#chevron:hover{
    cursor: none;
    color: rgb(255,255,255,0.65);
    transition: 0.2s;
}

/*-----ABOUT SECTION CSS-------*/
.aboutHeader{
    display: flex;
    justify-content: center;
    gap: 2rem;
    width: 100%;
    text-align: center;
    align-items: center;
}
.aboutHeader div{
    color: white;
    border-bottom: 1px solid white;
    width: 5rem;
    height: 0px;

}
#about{
    width: 100%;
    background-color: rgb(0,0,0,0.4);
    backdrop-filter: blur(12px) saturate(10%);
    -webkit-backdrop-filter: blur(12px) saturate(10%);
    margin-top: 95vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 50vh;
    padding: 2rem;
    padding-block: 12rem;
}
#about h2 {
    font-size: 40px;
    font-weight: 200;
    color: white;
    margin-block: 2rem;
    letter-spacing: 8px;
}
.aboutCardContainer{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 5rem;
    width: 95%;
    margin-top: 5rem;
    padding-bottom: 4rem;
    border-bottom: 1px solid rgb(255,255,255,0.5);
}
.aboutCard{
    opacity: 0;
    display: flex;
    flex-direction: column;

    height: fit-content;
    width: 25rem;
    padding: 2rem;
}
.aboutCard:hover{
    cursor: none;
    transition: 0.2s;
}
.aboutCard h4{
    color: white;
    font-weight: 400;
    text-align: left;
    width: 100%;
    padding-bottom: 0.5rem;
    border-bottom: 1px solid white;
}
.aboutCard p{
    color: white;
    text-align: left;
    font-weight: 200;
    font-size: 20px;
    letter-spacing: -0.1px;
    line-height: 2rem;
    margin-top: 1rem;
}
.aboutCard ul{
    margin: 0;
}
.aboutCard li{
    color: white;
    text-align: left;
    font-weight: 200;
    font-size: 20px;
    line-height: 2rem;
}
.secondHeader{
    margin-top: 4rem !important;
}
.skillContainer{
    margin-top: 7rem;
    display: flex;
    justify-content: center;
    min-height: 4rem;
    gap: 4rem;
    width: 100%;
    margin-inline: 30%;
    flex-wrap: wrap;
}
.skill{
    opacity: 0;
    display: flex;
    flex-direction: column;
    width: 25rem;
    border: 1px solid rgba(255, 255, 255, 0.25);
    border-radius: 5px;
    padding: 2rem;
    backdrop-filter: blur(28px);
    -webkit-backdrop-filter: blur(28px);
    box-shadow: 0 0 25px 5px rgba(255, 255, 255, 0.05);
}

.skill div{
    scale: 1;
    height: 1.25rem;
    border-bottom: 1px solid rgba(255, 255, 255, 0.409);
    width: 100%;
    display: flex;
    justify-content: start;
    padding-left: 1rem;
    align-items: center;
    padding-block: 2rem;
    padding-bottom: 4rem;
    margin-bottom: 2rem;
    color: white;

}

.skill h5{
    color: white;
    font-weight: 400;
    font-size: 25px;
    margin-top: 1rem;
    width: 100%;
}
.skill p{
    text-align: left;
    color: white;
    font-weight: 200;
    font-size: 20px;
    letter-spacing: -0.1px;
    margin-top: 1rem;
    line-height: 2rem;

}
/*-----EXPERIENCE SECTION CSS-------*/
#experience{
    background: linear-gradient(180deg, rgba(0,0,0,1) 0%, rgba(1,4,14,1) 100%);
    min-height: 80rem;
    display: flex;
    flex-direction: column;
    width: 100vw;
}
#experience h2{
    font-size: 40px;
    font-weight: 200;
    color: white;
    margin-bottom: 7rem;
    letter-spacing: 8px;
    text-align: center;
}
.contentExperience{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
}
.systemHolder{
    position: relative;
    z-index: 4;
    height:50rem;
    width: 50rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateX(50%);
    scale:1;
}
.orbit{
    position: absolute;
    border: 1px solid rgb(255,255,255,0.5);
    border-radius: 50%;
    opacity: 0;
}
.orbit:nth-child(1){
    height: 45rem;
    width: 45rem;
    animation: rotate 60s linear infinite;
}
.orbit:nth-child(2){
    height: 30rem;
    width: 30rem;
    animation: rotate 50s linear infinite;
}
.orbit:nth-child(3){
    height: 15rem;
    width: 15rem;
    animation: rotate 40s linear infinite;
}
.orbit:last-child{
    height: 5rem;
    width: 5rem;
    background-color: rgb(255,255,255,0.8);

}
.node{
    height: 1.75rem;
    width: 1.75rem;
    border-radius: 50%;
    border: 1px solid white;
    position: relative;
    transform: translate(-50%,-50%);
    background-color: rgb(255,255,255,0.5);
    top: 50%;
    opacity: 0;
}
.skillTitle{
    position: fixed;
    color: white;
    font-size: 12px;
    margin: 0;
}
.node:hover{
    scale: 1.2;
    background-color: white;
    transition: 0.2s;

}
@keyframes rotate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.overviewHolder{
    height:50rem;
    width: 50rem;
    opacity: 0;
    color: white;
    padding: 3rem;
}
.overviewHolder h3{
    font-size: 30px;
    font-weight: 200;
    margin-bottom: 2rem;
}
.compHolder{
    padding: 0.5rem;
    width: 100%;
    height: 37rem;
    overflow-y: auto;
}
.compHolder div{
    display: flex;
    gap: 1rem;
    width: 100%;
    height: 100%;
    flex-wrap: wrap;
    align-content: flex-start;
}
.comp{
    opacity: 0;
    height: 11rem;
    width: 12rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 0.75px solid rgb(255,255,255,0.5);
    text-decoration: none;
    filter: saturate(0);
}
.comp:hover{
    filter: saturate(1);
    transition: 0.2s;
    scale: 1.05;
    cursor: none;
}
.comp p{
    font-size: 20px;
    font-weight: 200;
    color: white;
    text-align: center;
}
.comp img{
    height: 4rem;
    width: 4rem;
    object-fit: contain;
}
#webDevContainer, #languageContainer, #frameToolContainer{
    display: none;
    justify-content: start;
}



/*-----PROJECTS SECTION CSS-------*/

#projects{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-block: 2rem;
    width: 101vw;
    height: 125vh;
    background: radial-gradient(circle, rgb(8, 8, 66) 1%, rgb(1, 6, 29) 27%, rgb(2, 2, 19) 64%, rgb(1, 4, 14) 94%);
}
#projects h3{
    position: absolute;
    top: 10%;
    font-size: 40px;
    font-weight: 200;
    color: white;
    margin-bottom: 5rem;
    letter-spacing: 8px;
    text-align: center;

}
.shipContainer{
    width: 100vw;
    height: 97vh;
}
.mapHeader{
    position: relative;
    top:-15%;

}
.mapHeader h4{
    font-weight: 100;
    font-size: 18px;
    color: white;
}
.pathHolder{
    position: relative;
    top: -15%;
    width: fit-content;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0rem;
    scale: 1.2;
}
.destination{
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 50%;
    border: 1px solid white;
    opacity: 0;
}
.destination p{
    font-size: 12px;
    font-weight: 200;
    color: white;
    text-align: center;
    margin: 0;
    width: 7rem;
    transform: translate(-40%,150%);
}
.trail{
    height: 0rem;
    width: 6rem;
    border: 1px solid rgb(255,255,255,0.5);
    opacity: 0;
}
.destination:hover{
    background-color: white;
    transition: 0.2s;
    cursor: none;
}

#GENIES, #ARTSYNC, #HANGMANGAME, #POKEDEX, #SHOPNEST, #BANKAPP, #NOTEPAD, #NETPULSE{
    display: none;
    opacity: 0;
    scale: 0.69 !important;
}

.right{
    position: absolute;
    right: 5%;
    top: 16%;
}
.left{
    position: absolute;
    left: 5%;
    top: 16%;
}

.projectHolder{
    width: 40rem;
    height: fit-content;
    padding-bottom: 1.5rem;
    border: 1px solid rgb(255,255,255,0.75);
    border-radius: 5px;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    display: flex;
    flex-direction: column;
    align-items: center;
    scale: 0.5;
    z-index: 5;

    animation: glowSonar 1.5s infinite;
}
.projectHolder:hover{
    scale: 1;
    transition: 0.2s;
    box-shadow: 0 0 25px 5px rgba(255, 255, 255, 0.25) !important;
    cursor: none;
}

@keyframes glowSonar {
    0% {
        box-shadow: 0 0 25px 5px rgba(255, 255, 255, 0.25);
    }
    100% {
        box-shadow: 0 0 10px 5px rgba(255, 255, 255, 0);
    }
    
}
.projectHeader{
    display: flex;
    justify-content: space-between;
    padding-inline: 1.15rem;
    align-items: center;
    width: 100%;
    height: fit-content;
}
.projectHeader img{
    height: 3rem;
    width: 3rem;
    object-fit: contain;
    margin: 1rem;

}
.projectHolder h4{
    font-size: 27px;
    font-weight: 200;
    color: white;
    text-align: center;
}
.projectHeader a{
    color: rgba(255, 255, 255, 0.523);
    text-decoration: none;
    margin: 0;
}
.projectHeader a:hover{
    color: white;
    transition: 0.2s;
}
.headerTitle{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: fit-content;
    gap: 0rem;
}
.videoPreview{
    display: flex;
    justify-content: center;
    height: 20rem;
    width: 100%;

}
.videoPreview video{
    height: 95%;
    width: 95%;
    object-fit: cover;
}

.projectInfo{
    display: flex;
    width: 100%;
    height: fit-content;
    padding-block: 1rem;
    justify-content: space-between;
}
.projectInfo p{
    width: 60%;
    font-size: 20px;
    font-weight: 200;
    color: white;
    text-align: start;
    line-height: 2rem;
    padding: 1rem;
    margin: 0;
}
.projectInfo ul{
    width: 25%;
    font-size: 15px;
    font-weight: 200;
    color: white;
    text-align: start;
    line-height: 2rem;
    padding: 1rem;
    margin: 0;

}
.techLogos{
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    width: 20%;
    height: fit-content;
    justify-content: center;
}
.techLogos img{
    height: 2.5rem;
    width: 2.5rem;
    object-fit: contain;
}
#lineConnection{
    width: 1rem;
    border: 1px solid rgb(255,255,255,0.5);
    position: absolute;
    top: 45%;
    opacity: 0;
    z-index: 1;
    display: flex;
    justify-content: end;

}
#lineConnection div{
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    border: 1px solid white;
    background-color: transparent;
    position: absolute;
    transform: translate(100%,-50%);
    opacity: 1;

}
.mobileProjectView{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    padding-block: 10rem;
}

/*-----CONTACT SECTION CSS-------*/
#contact{
    backdrop-filter: blur(11px) brightness(0.5);
    -webkit-backdrop-filter: blur(11px) brightness(50%);
    width: 100%;
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 50vh;
    padding: 2rem;
    padding-block: 7rem;
}
.contact-holder{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    gap: 0.25rem;
}
.contact-holder img{
    height: 5rem;
    width: 5rem;
}
.contact-holder p {
    margin: 0;
}
.contact-holder h4{
    font-size: 25px;
    font-weight: 300;
    color: white;
    margin: 0;
}
.social-holder{
    margin-top: 0.5rem;
    display: flex;
    gap: 1rem;
}
.social-holder svg{
    height: 1.5rem;
    width: 1.5rem;
    color: white;
}
.social-holder a {

    padding: 0.75rem;
}
.social-holder a:hover{
    opacity: 0.65;
    transition: 0.25s;
    cursor: none;
}


/*-----CURSOR-------*/
#cursor{
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 2rem;
    width: 2rem;
    border-radius: 50%;
    background-color: transparent;
    border: 1.25px solid white;
    opacity: 0.5;
    z-index: 1000;
    transform: translateX(-50%) translateY(-50%);
    pointer-events: none;
    
}
#cursorInner{
    height: 0.25rem;
    width: 0.25rem;
    background-color: white;
    border-radius: 50%;
}

/*-----MEDIA QUERIES-------*/
#mobileMenu{
    display: none;
}

@media screen and (max-width: 1620px) and (min-width: 901px) {
    .systemHolder{
        transform: translateX(0%);
    }
}
@media only screen and (max-width: 900px){
    #cursor{
        display: none !important;
        opacity: 0;
    }
    #mobileMenu{
        display: block;
    }
    .header a{
        display: none;
    }
    .heaer a:nth-child(1){
        display: block !important;
    }
    .infoHolder{
        top: 75%;
        left: 5%;
        width: 100%;
    }
    .infoHolder h1{
        font-size: 30px;
    }
    .infoHolder h3{
        font-size: 15px;
    }
    .systemHolder{
        scale: 0.4;
        transform: translate(0%,-50%);
        height: 15rem;
    }
    .contentExperience{
        gap: 2rem;
    }
    #experience{
        width: 100%;
    }
    #experience h2{
        margin-bottom: 15rem;
        width: 100%;
    }
    .comp{
        height: 7rem;
        width: 8rem;
    }
    .comp p{
        font-size: 15px;
    }
    .comp img{
        height: 1.5rem;
        width: 1.5rem;
    }
    .overviewHolder h3{
        font-size: 20px;
        text-align: center;
    }
    #webDevContainer, #languageContainer, #frameToolContainer{
        justify-content: center;
    }
    .mapHeader{
        display: none;
        top: -35%;
    }
    .pathHolder{
        display: none;
    }
    #lineConnection{
        overflow: hidden;
        display: none !important;
    }
    .destination{
        height: 1rem;
        width: 1rem;
    }
    .destination p {
        font-size: 10px;
    }
    .mobileProjectView{
        display: flex;
    }
    .shipContainer{
        display: none;
    }
    .projectHolder{
        display: flex;
        position: static;
        width: 95%;
        scale: 1;
    }
    .techLogos{
        width: 50%;
    }
    #projects{
        height: auto;
        width: auto
    }
    #projects h3{
        top: 0%;
    }
    #contact{
        padding-bottom: 10rem;
    }
    .loadHolder{
        width: 75%;
    }
}